Enable service account for bucket type
Auto-provisions a service account for this bucket type. Returns the token (shown once).
Authorization
OAuth2 upl:privateAuthorizationBearer <token>
OAuth 2.0 authorization
In: header
Scope: upl:private
Header Parameters
Connect-Protocol-Version*number
Define the version of the Connect protocol
Value in
1Connect-Timeout-Ms?number
Define the timeout, in ms
Request Body
application/json
bucketTypeId?string
Format
uuidpermission?string
Permission level for the service account on new buckets: read, write, admin
Length
1 <= length <= 16[key: string]?never
Response Body
application/json
application/json
curl -X POST "https://uploads-api.xeonr.io/uplim.api.v1.IntegrationAdminService/EnableBucketTypeServiceAccount" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{}'{
"token": "string",
"bucketType": {
"id": "string",
"integrationId": "string",
"slug": "string",
"displayName": "string",
"description": "string",
"iconUrl": "string",
"renderer": {
"enabled": true,
"archiveUploadId": "0f00a816-1fc2-4597-bbce-ea7af713750b",
"entryPath": "string"
},
"createdAt": "2023-01-15T01:30:15.01Z",
"updatedAt": "2023-01-15T01:30:15.01Z",
"serviceAccountId": "string",
"serviceAccountPermission": "string",
"iconUploadId": "string"
}
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}